%bcond_with bootstrap

Name:           maven-dependency-analyzer
Version:        1.13.2
Release:        %mkrel 2
Group:          Development/Java
Summary:        Maven dependency analyzer
License:        ASL 2.0
URL:            https://maven.apache.org/shared/maven-dependency-analyzer/
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://repo1.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(javax.inject:javax.inject)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.assertj:assertj-core)
BuildRequires:  mvn(org.eclipse.sisu:sisu-maven-plugin)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter-api)
BuildRequires:  mvn(org.ow2.asm:asm)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(org.slf4j:slf4j-simple)
%endif
# TODO Remove in Fedora 46
Obsoletes:      %{name}-javadoc < 1.13.2-19

%description
Analyzes the dependencies of a project for undeclared or unused artifacts.

Warning: Analysis is not done at source but bytecode level, then some cases are
not detected (constants, annotations with source-only retention, links in
javadoc) which can lead to wrong result if they are the only use of a
dependency.

%prep
%autosetup -p1

%build
%mvn_build -j -- -Dmaven.compiler.release=11

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE




%changelog
* Sun Jun 29 2025 daviddavid <daviddavid> 1.13.2-2.mga10
+ Revision: 2225680
- Remove javadoc subpackage
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Wed May 22 2024 ns80 <ns80> 1.13.2-1.mga10
+ Revision: 2066048
- new version 1.13.2 for java 21

* Mon Jul 25 2022 neoclust <neoclust> 1.12.0-2.mga9
+ Revision: 1871056
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 1.12.0-1.mga9
+ Revision: 1870641
- New version 1.12.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Sep 03 2020 daviddavid <daviddavid> 1.11.3-1.mga8
+ Revision: 1621397
- Update to version 1.11.3

* Thu Sep 03 2020 daviddavid <daviddavid> 1.11.1-3.mga8
+ Revision: 1621298
- Rebuilt for JDK-11

* Sun Feb 16 2020 umeabot <umeabot> 1.11.1-2.mga8
+ Revision: 1536134
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 1.11.1-1.mga8
+ Revision: 1453314
- Update to version 1.11.1

* Wed Jul 17 2019 daviddavid <daviddavid> 1.10-1.mga8
+ Revision: 1422174
- Update to upstream version 1.10

* Mon Dec 10 2018 daviddavid <daviddavid> 1.8-1.mga7
+ Revision: 1339811
- new version: 1.8 (sync with fc29)

* Wed Sep 19 2018 umeabot <umeabot> 1.6-7.mga7
+ Revision: 1264037
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 1.6-6.mga6
+ Revision: 1101389
- Rebuild maven-* packages

* Wed May 10 2017 neoclust <neoclust> 1.6-5.mga6
+ Revision: 1100090
- Add missing build-requires
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.6-3.mga6
+ Revision: 977323
- First rebuild of the java stack
- sync package maven-dependency-analyzer with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Dec 26 2014 dmorgan <dmorgan> 1.4-6.mga5
+ Revision: 806202
- Fix BuildRequires
- Rebuild against current stack

* Wed Oct 15 2014 umeabot <umeabot> 1.4-4.mga5
+ Revision: 740572
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.4-2.mga4
+ Revision: 529787
- Mageia 4 Mass Rebuild

* Fri Jul 12 2013 dmorgan <dmorgan> 1.4-1.mga4
+ Revision: 453300
- imported package maven-dependency-analyzer


* Tue May 21 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.4-1
- Update to upstream version 1.4

* Tue Feb 19 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.3-7
- Build with xmvn

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.3-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Tue Jan 22 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.3-4
- Replace asm2 R with objectweb-asm
- Resolves: rhbz#902641

* Fri Dec 21 2012 Tomas Radej <tradej@redhat.com> - 1.3-3
- Added missing Provides/Obsoletes

* Thu Dec 20 2012 Tomas Radej <tradej@redhat.com> - 1.3-2
- Removed xmvn + reworked building without it

* Tue Dec 18 2012 Tomas Radej <tradej@redhat.com> - 1.3-1
- Initial package

